For Developers

List Enrichments

GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/enrichments

Returns a paginated list of enrichment jobs for a primary data source.

Permissions

Requires the enrichments.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.
$pageNumberNoPage number for pagination.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/enrichments`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "e931b9fa-7104-4c8d-8bb4-0980fa2a5c11",
            "state": "completed",
            "started_date": "2024-06-21T07:02:00.000Z",
            "completed_date": "2024-06-21T07:15:00.000Z"
        }
    ]
}